Package org.apache.xmlbeans.impl.tool

## Class SchemaCodeGenerator

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.SchemaCodeGenerator

-     public class SchemaCodeGenerator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaCodeGenerator()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static File` | `createTempDir()` |
    `static void` | `saveTypeSystem​(SchemaTypeSystem system, File classesDir, File sourceFile, Repackager repackager, XmlOptions options)` | Deprecated. Use `SchemaTypeSystem.save(Filer)` instead.
    `protected static void` | `tryHardToDelete​(File dir)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaCodeGenerator

          public SchemaCodeGenerator()

  - ### Method Detail

    - #### saveTypeSystem

          public static void saveTypeSystem​(SchemaTypeSystem system,
                                            File classesDir,
                                            File sourceFile,
                                            Repackager repackager,
                                            XmlOptions options)
                                     throws IOException

      Deprecated.
      Use `SchemaTypeSystem.save(Filer)` instead.
      Saves a SchemaTypeSystem to the specified directory.
      Parameters:
        `system` - the `SchemaTypeSystem` to save
        `classesDir` - the destination directory for xsb's
        `sourceFile` - if present, the TypeSystemHolder source will be generated in this file for subsequent compilation, if null then the source will be generated in a temp directory and then compiled to the destination dir
        `repackager` - the repackager to use when generating the holder class
        `options` - options. Can be null
      Throws:
        `IOException`

    - #### createTempDir

          protected static File createTempDir()
                                       throws IOException

      Throws:
        `IOException`

    - #### tryHardToDelete

          protected static void tryHardToDelete​(File dir)